Page MenuHomePhabricator

Provide access to limbo messages without knowing keys
Closed, ResolvedPublic2 Story Points

Description

Track a list of active limbo messages. We want to access this list as both a key-value store indexed by correlation-id, and a FIFO queue ordered by date.

This needs to be deployed before switching the slayer to read from memcache, so that data is available.

https://github.com/adamwight/php-queue/pull/3

Event Timeline

awight created this task.May 14 2015, 10:51 PM
awight claimed this task.
awight raised the priority of this task from to Normal.
awight updated the task description. (Show Details)
awight set Security to None.
awight edited a custom field.
awight moved this task from Backlog to Review on the Fundraising Sprint Kraftwerk board.
awight added subscribers: awight, Aklapper, gerritbot and 2 others.
awight updated the task description. (Show Details)May 14 2015, 11:28 PM
awight updated the task description. (Show Details)May 29 2015, 5:02 PM
awight moved this task from Doing to Review on the Fundraising Sprint Lou Reed board.
awight edited a custom field.
awight updated the task description. (Show Details)May 29 2015, 6:08 PM
awight moved this task from Review to Doing on the Fundraising Sprint Kraftwerk board.
Ejegg added a subscriber: Ejegg.Jun 3 2015, 7:34 PM

Looking good! Couple of issues in https://github.com/adamwight/php-queue/commit/b7082cc23d037b5471f8e1efb0c01d43dad99e4c . Side note - I tried configuring the predis backend with an array of servers and it told me the multi / exec transaction wasn't supported across an aggregated connection. Will try to get to the bottom of that, since part of the goal is to make the queue server not an SPOF.

Change 215856 had a related patch set uploaded (by Awight):
Implement IndexedFifoQueue for Predis

https://gerrit.wikimedia.org/r/215856

awight added a comment.Jun 4 2015, 1:55 AM

Please review in Gerrit, now... Thanks!

Change 215856 merged by Ejegg:
Implement IndexedFifoQueue for Predis

https://gerrit.wikimedia.org/r/215856

awight moved this task from Backlog to PCI on the Fundraising-Backlog-Old board.Jun 23 2015, 1:09 AM
awight closed this task as Resolved.Jul 24 2015, 10:52 PM

This code has been written. Track further work in new issues.

mmodell removed a subscriber: awight.Jun 22 2017, 9:38 PM